#include <iostream>
#include <cv.h>
#include <cvaux.h>
#include <highgui.h>


using namespace std;

int main()
{
    //CAPTURE VIDEO
     IplImage* img;

    // La capture vidéo, ici, un fichier :
    //CvCapture* capture = cvCreateFileCapture("./peli1.avi");


    // Si vous voulez lire une webcam à la place, commentez la ligne précédente,
    // et décommentez celle-ci :
    CvCapture* capture = cvCreateCameraCapture( -1 );

    // On vérifie que la capture est bien initialisée,
    // si ce n'est pas le cas, on quitte le programme.
    if( !capture )
        return 10;

    cvNamedWindow("video", CV_WINDOW_AUTOSIZE);

    char key = 'a';

    // On essaye de capturer une frame
    if(!cvGrabFrame( capture ))
        return 20;

            int largeur=(int)cvGetCaptureProperty(capture,CV_CAP_PROP_FRAME_WIDTH);
            int hauteur=(int)cvGetCaptureProperty(capture,CV_CAP_PROP_FRAME_HEIGHT);
            double fourcc=cvGetCaptureProperty(capture,CV_CAP_PROP_FOURCC );
            cout << largeur << endl;
            cout << hauteur << endl;
            cout << fourcc << endl;

    // Tant qu'on n'a pas appuyé sur Q, on continue :
    while(key != 'q')
    {
        // On décompresse la dernière frame récupérée...
        img = cvRetrieveFrame( capture );

        // ... et on la montre à l'écran.
        cvShowImage( "video", img);

        // On attend 1 ms : IMPORTANT !
        key = cvWaitKey(1);

        // On essaye de capturer la frame suivante
        if(!cvGrabFrame( capture ))
            key = 'q';
    }

    // On détruit les fenêtres créées : nouvelle fonction. ;)
    cvDestroyAllWindows();

    // On n'a pas besoin de détruire l'image.
    img = NULL;

    // On détruit la capture
    cvReleaseCapture( &capture );

    return 0;
}
